/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineDto } from './discipline-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectMinimalDto } from './project-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectOrganizationDto } from './project-organization-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { UserMinimalDto } from './user-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VisibilityDto } from './visibility-dto';

/**
 * Represents a data transfer object (DTO) for project information.
 * @export
 * @interface ProjectDto
 */
export interface ProjectDto {
    /**
     * Unique identifier for the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'id': string;
    /**
     * Persistent identifier for the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'pid': string;
    /**
     * Name of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'name': string;
    /**
     * Description of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'description': string;
    /**
     * Start date of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'startDate': string;
    /**
     * End date of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'endDate': string;
    /**
     * Collection of keywords associated with the project.
     * @type {Array<string>}
     * @memberof ProjectDto
     */
    'keywords'?: Array<string> | null;
    /**
     * Display name of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'displayName'?: string | null;
    /**
     * Principal investigators involved in the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'principleInvestigators'?: string | null;
    /**
     * Grant ID associated with the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'grantId'?: string | null;
    /**
     * 
     * @type {VisibilityDto}
     * @memberof ProjectDto
     */
    'visibility': VisibilityDto;
    /**
     * Disciplines related to the project.
     * @type {Array<DisciplineDto>}
     * @memberof ProjectDto
     */
    'disciplines': Array<DisciplineDto>;
    /**
     * Organizations associated with the project.
     * @type {Array<ProjectOrganizationDto>}
     * @memberof ProjectDto
     */
    'organizations': Array<ProjectOrganizationDto>;
    /**
     * Slug for the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'slug': string;
    /**
     * 
     * @type {UserMinimalDto}
     * @memberof ProjectDto
     */
    'creator'?: UserMinimalDto;
    /**
     * Date of creation of the project.
     * @type {string}
     * @memberof ProjectDto
     */
    'creationDate'?: string | null;
    /**
     * Collection of sub-projects associated with this project.
     * @type {Array<ProjectDto>}
     * @memberof ProjectDto
     */
    'subProjects'?: Array<ProjectDto> | null;
    /**
     * 
     * @type {ProjectMinimalDto}
     * @memberof ProjectDto
     */
    'parent'?: ProjectMinimalDto;
}

